--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: ""
comment: 
- !ruby/struct:SM::Flow::P 
  body: Pushes given context on top of context stack and yields given block, then pops the stack. During block execution contexts previously pushed onto the stack have no effect.
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Validate::Context#validation_context
is_singleton: false
name: validation_context
params: (context = default_validation_context) {|| ...}
visibility: protected
